---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libem07t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3AC0, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4D4C8, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4F408, symBinAddr: 0xE1B0, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4F7F0, symBinAddr: 0xE598, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x50790, symBinAddr: 0xF538, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x50798, symBinAddr: 0xF540, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4D0B0, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4D0B4, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4D0B8, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4D208, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4D2C0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4D2C4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4D2C8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4D2CC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4D2D0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4D2D8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4D2E8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4D2F0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4D2F8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4D300, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4D308, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4D310, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x4D354, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x94BE, offset: 0x94BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4D3F0, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x94D7, offset: 0x94D7, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x4D3F8, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x94F0, offset: 0x94F0, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4D400, symBinAddr: 0xC268, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2A84, symSize: 0xA0 }
  - { offsetInCU: 0x95D7, offset: 0x95D7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2A5C, symSize: 0x28 }
  - { offsetInCU: 0x963A, offset: 0x963A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x29DC, symSize: 0x80 }
  - { offsetInCU: 0x98CE, offset: 0x98CE, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2B24, symSize: 0x34 }
  - { offsetInCU: 0x9928, offset: 0x9928, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2B58, symSize: 0x20C }
  - { offsetInCU: 0x9AE1, offset: 0x9AE1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2D64, symSize: 0x28 }
  - { offsetInCU: 0x9BAA, offset: 0x9BAA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2D8C, symSize: 0xB0 }
  - { offsetInCU: 0x9CA1, offset: 0x9CA1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2E3C, symSize: 0xD8 }
  - { offsetInCU: 0x9E12, offset: 0x9E12, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2F14, symSize: 0x24 }
  - { offsetInCU: 0x9ED5, offset: 0x9ED5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2F38, symSize: 0x168 }
  - { offsetInCU: 0xA0B1, offset: 0xA0B1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x30A0, symSize: 0x104 }
  - { offsetInCU: 0xA362, offset: 0xA362, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x31A4, symSize: 0x3F8 }
  - { offsetInCU: 0xA586, offset: 0xA586, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x359C, symSize: 0x154 }
  - { offsetInCU: 0xA76A, offset: 0xA76A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x36F0, symSize: 0xAC }
  - { offsetInCU: 0xA83F, offset: 0xA83F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x379C, symSize: 0x14 }
  - { offsetInCU: 0xA878, offset: 0xA878, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x37B0, symSize: 0x14 }
  - { offsetInCU: 0xA8B1, offset: 0xA8B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x37C4, symSize: 0x14 }
  - { offsetInCU: 0xAA2E, offset: 0xAA2E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x37D8, symSize: 0x1A8 }
  - { offsetInCU: 0xAD38, offset: 0xAD38, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3980, symSize: 0x140 }
  - { offsetInCU: 0xAED9, offset: 0xAED9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x3D30, symSize: 0x1C0 }
  - { offsetInCU: 0xB1B6, offset: 0xB1B6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3EF0, symSize: 0x9C }
  - { offsetInCU: 0xB273, offset: 0xB273, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3F8C, symSize: 0x690 }
  - { offsetInCU: 0xBE05, offset: 0xBE05, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x96F8, symBinAddr: 0x5CB8, symSize: 0x30 }
  - { offsetInCU: 0xBE91, offset: 0xBE91, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x461C, symSize: 0x74 }
  - { offsetInCU: 0xBF21, offset: 0xBF21, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4690, symSize: 0xB0 }
  - { offsetInCU: 0xC04C, offset: 0xC04C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_showPossessedCapabilities, symObjAddr: 0x50D4, symBinAddr: 0x4740, symSize: 0x570 }
  - { offsetInCU: 0xC417, offset: 0xC417, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4CB0, symSize: 0x3C }
  - { offsetInCU: 0xC50D, offset: 0xC50D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4CEC, symSize: 0x29C }
  - { offsetInCU: 0xC850, offset: 0xC850, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4F88, symSize: 0xD0 }
  - { offsetInCU: 0xC97E, offset: 0xC97E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5058, symSize: 0xC }
  - { offsetInCU: 0xCA40, offset: 0xCA40, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5064, symSize: 0x22C }
  - { offsetInCU: 0xCCFB, offset: 0xCCFB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5290, symSize: 0x4 }
  - { offsetInCU: 0xCD3F, offset: 0xCD3F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5290, symSize: 0x4 }
  - { offsetInCU: 0xCD58, offset: 0xCD58, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5294, symSize: 0x3D0 }
  - { offsetInCU: 0xD0C8, offset: 0xD0C8, size: 0x8, addend: 0x0, symName: _enableOptionalEvents, symObjAddr: 0x9430, symBinAddr: 0x59F0, symSize: 0x15C }
  - { offsetInCU: 0xD253, offset: 0xD253, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x909C, symBinAddr: 0x5664, symSize: 0x4 }
  - { offsetInCU: 0xD297, offset: 0xD297, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x909C, symBinAddr: 0x5664, symSize: 0x4 }
  - { offsetInCU: 0xD2CE, offset: 0xD2CE, size: 0x8, addend: 0x0, symName: _showEventStatistics, symObjAddr: 0x90A0, symBinAddr: 0x5668, symSize: 0xDC }
  - { offsetInCU: 0xD38E, offset: 0xD38E, size: 0x8, addend: 0x0, symName: _changeCount, symObjAddr: 0x917C, symBinAddr: 0x5744, symSize: 0x13C }
  - { offsetInCU: 0xD4DD, offset: 0xD4DD, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0x92B8, symBinAddr: 0x5880, symSize: 0x2C }
  - { offsetInCU: 0xD53C, offset: 0xD53C, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0x92E4, symBinAddr: 0x58AC, symSize: 0xAC }
  - { offsetInCU: 0xD61A, offset: 0xD61A, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0x9390, symBinAddr: 0x5958, symSize: 0x8 }
  - { offsetInCU: 0xD69C, offset: 0xD69C, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0x9398, symBinAddr: 0x5960, symSize: 0x8 }
  - { offsetInCU: 0xD708, offset: 0xD708, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0x93A0, symBinAddr: 0x5968, symSize: 0x8 }
  - { offsetInCU: 0xD769, offset: 0xD769, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0x93A8, symBinAddr: 0x5970, symSize: 0x8 }
  - { offsetInCU: 0xD7CA, offset: 0xD7CA, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0x93B0, symBinAddr: 0x5978, symSize: 0x8 }
  - { offsetInCU: 0xD82B, offset: 0xD82B, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0x93B8, symBinAddr: 0x5980, symSize: 0x8 }
  - { offsetInCU: 0xD8AD, offset: 0xD8AD, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0x93C0, symBinAddr: 0x5988, symSize: 0x8 }
  - { offsetInCU: 0xD945, offset: 0xD945, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0x93C8, symBinAddr: 0x5990, symSize: 0x8 }
  - { offsetInCU: 0xD99B, offset: 0xD99B, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0x93D0, symBinAddr: 0x5998, symSize: 0x8 }
  - { offsetInCU: 0xDA07, offset: 0xDA07, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0x93D8, symBinAddr: 0x59A0, symSize: 0x8 }
  - { offsetInCU: 0xDA73, offset: 0xDA73, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0x93E0, symBinAddr: 0x59A8, symSize: 0x8 }
  - { offsetInCU: 0xDAEA, offset: 0xDAEA, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0x93F0, symBinAddr: 0x59B0, symSize: 0x8 }
  - { offsetInCU: 0xDB4B, offset: 0xDB4B, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0x93F8, symBinAddr: 0x59B8, symSize: 0x8 }
  - { offsetInCU: 0xDBAC, offset: 0xDBAC, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0x9400, symBinAddr: 0x59C0, symSize: 0x8 }
  - { offsetInCU: 0xDC02, offset: 0xDC02, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0x9408, symBinAddr: 0x59C8, symSize: 0x8 }
  - { offsetInCU: 0xDC58, offset: 0xDC58, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0x9410, symBinAddr: 0x59D0, symSize: 0x8 }
  - { offsetInCU: 0xDC8D, offset: 0xDC8D, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0x9418, symBinAddr: 0x59D8, symSize: 0x8 }
  - { offsetInCU: 0xDCC2, offset: 0xDCC2, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0x9420, symBinAddr: 0x59E0, symSize: 0x8 }
  - { offsetInCU: 0xDD02, offset: 0xDD02, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0x9428, symBinAddr: 0x59E8, symSize: 0x8 }
  - { offsetInCU: 0xDD88, offset: 0xDD88, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0x958C, symBinAddr: 0x5B4C, symSize: 0xFC }
  - { offsetInCU: 0xDE46, offset: 0xDE46, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9688, symBinAddr: 0x5C48, symSize: 0x70 }
  - { offsetInCU: 0xDEF8, offset: 0xDEF8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9728, symBinAddr: 0x5CE8, symSize: 0x358 }
...
